DrawNetwork
Keywords: uk.ac.ic.doc.automed.editor.DrawNetwork class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor
Class DrawNetwork

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DrawNetwork

All Implemented Interfaces:
  Drawable, DrawableVertex

    public class DrawNetwork

extends DrawVertex

Draw a symbol the represents a `Network` in an AutoMed `EditorPanel`.

Author:
  Peter McBrien (pjm@doc.ic.ac.uk)

Field Summary
`static int` | `INDENT`

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, xInset, yInset, zeroOffset`

Constructor Summary
`DrawNetwork(EditorPanel ep, Positionable p)`

Method Summary
`java.awt.Rectangle` | `getBounds()` Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.
`void` | `paintSymbol(java.awt.Graphics2D g)`
`void` | `paintText(java.awt.Graphics2D g)`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getCentre, getCentreOffset, getConnectionPoint, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, paintComponent, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INDENT

    public static final int INDENT

See Also:
  Constant Field Values

Constructor Detail

### DrawNetwork

    public DrawNetwork(EditorPanel ep,
                       Positionable p)

Method Detail

### getBounds

    public java.awt.Rectangle getBounds()

  Description copied from interface: `DrawableVertex`
  Describe the rectangular area within the `EditorPanel` where this `Drawable` vertex is to be painted.

  Specified by:
    `getBounds` in interface `DrawableVertex`
  Overrides:
    `getBounds` in class `DrawVertex`

### paintSymbol

    public void paintSymbol(java.awt.Graphics2D g)

  Overrides:
    `paintSymbol` in class `DrawVertex`

### paintText

    public void paintText(java.awt.Graphics2D g)

  Overrides:
    `paintText` in class `DrawVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD